Foros del Web » Programando para Internet » PHP »

Duda con GD en PHP 4.3.0

Estas en el tema de Duda con GD en PHP 4.3.0 en el foro de PHP en Foros del Web. Hola a todos, tengo una duda con la nueva version del php, que dice que: GD library is now bundled with the distribution and it ...
  #1 (permalink)  
Antiguo 03/02/2003, 13:03
NHS
 
Fecha de Ingreso: junio-2002
Ubicación: Todos lados
Mensajes: 92
Antigüedad: 15 años, 6 meses
Puntos: 0
Duda con GD en PHP 4.3.0

Hola a todos, tengo una duda con la nueva version del php, que dice que:
GD library is now bundled with the distribution and it is recommended to always use the bundled version

esto quiere decir que viene con soporte para las librerias gd incorporadas por defecto? osea ya puedo usar las funciones de imagenes.

Alquien lo instalo, que opinion tiene?

Gracias por su tiempo
  #2 (permalink)  
Antiguo 03/02/2003, 13:18
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Lo que te dice la nota esa es que en la php_gd.dll (caso de windows .. o php_gd.so caso de Linux) .. que está "complilado" con optimización para el nuevo código de PHP 4.3.0 en adelante .. Por eso te recomienda usar esas y no las que tienes disponible (librerias) en la web oficial de las GD (en el manual de PHP sale su dirección).

De todas formas si las quieres usar tienes q habilitarlas por lo menos como cualquier libreria (extension) de php en windows:

php.ini:

extension_dir = .. indica aquí el directorio donde se encuentren tus php_xxx.dll ..

;php_gd.dll .. quitale el ; delante para activarla

reinicia tu servidor HTTP (Apache) y hazte un phpinfo() para comprobar q estén instaladas ..

Un saludo,
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 15:06.